%define module_version 1.02
%define module_name REST-Consumer
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(JSON/XS.pm) perl(LWP.pm) perl(LWP/UserAgent/Paranoid.pm) perl(Test/CheckManifest.pm) perl(Test/More.pm) perl(Test/Resub.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(URI/QueryParam.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: General client for interacting with json data in HTTP Restful services
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AR/ARODLAND/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides an interface that encapsulates building an http request, sending the request, and parsing a json response.  It also retries on failed requests and has configurable timeouts.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/R*

%changelog
* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- regenerated from template by package builder

* Wed May 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- regenerated from template by package builder

* Wed Oct 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

